Skip to main content

Get Custom Field

Retrieve one custom-field definition by name.

Request

Live:

  • GET /products/{productId}/custom-fields/{name}
  • GET /products/{productId}/waitlist-custom-fields/{name}
  • GET /product-variants/{id}/custom-fields/{name}

Draft:

  • GET /products/{productId}/draft/custom-fields/{name}
  • GET /products/{productId}/draft/waitlist-custom-fields/{name}
  • GET /products/{productId}/draft/variants/{id}/custom-fields/{name}

Path Parameters

ParameterTypeRequiredDescription
productIdstringYesProduct UUID (product-nested paths).
idstringYesVariant UUID (variant-nested paths).
namestringYesField identity slug.

Example Request

curl -X GET "https://cart.easy.tools/api/v1/products/0632bef5-c308-42cd-9cba-89a7a4f722bb/custom-fields/size" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Response

Success Response (200)

{
"name": "size",
"type": "select",
"label": "Size",
"placeholder": null,
"enabled": true,
"required": true,
"order": 0,
"validation": null,
"options": [
{ "value": "s", "label": "S" },
{ "value": "m", "label": "M" }
],
"sync_easymail": false
}

See Custom Field Object.

Error Responses

Bad Request (400)

{
"message": "Invalid product ID"
}

Not Found Error (404)

Unknown product or variant, or unknown name in that collection:

{
"message": "Custom field with name size not found"
}

Unauthorized Error (401)

{
"message": "Unauthenticated."
}

Forbidden Error (403)

{
"message": "This action is unauthorized."
}